---
- name: Inscription de l'identité SSH du bastion
  hosts: bastion
  remote_user: ""
  vars:
    ansible_ssh_extra_args: "-o StrictHostKeyChecking=no"
  tasks:
  - wait_for_connection:
      timeout: 60
    register: bastion_reachable
  - fail:
    when: bastion_reachable.failed
    
#installation d'apache sur le serveur web
- hosts: webserv
  remote_user: ""
  become: yes
  become_method: sudo
  roles:
    - apache
      
